=== debian/changelog ===
avogadrolibs (1.99.0-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:20:17 +0000

avogadrolibs (1.99.0-5build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:54:17 +0000

avogadrolibs (1.99.0-5) unstable; urgency=medium

  * debian patch fetch_PDB_error_check_PR1646.patch applies upstream
    PR1646 to prevent Fetch PDB segfaulting on unknown search terms.

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 23:38:31 +0100

avogadrolibs (1.99.0-4) unstable; urgency=medium

  * debian patch fetch_PDB_PR1642.patch applies upstream PR#1642 to
    fix fetching molecules from the PDB database.

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 11:33:28 +0100

avogadrolibs (1.99.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061927

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 03:05:08 +0000

avogadrolibs (1.99.0-3) unstable; urgency=medium

  * debian patch fix_startup_crash_PR1621.patch applies upstream
    PR#1621 to fix segfault when starting from the command line.

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 10:11:51 +0100

avogadrolibs (1.99.0-2) unstable; urgency=medium

  * Build-Depends-Indep: graphviz
    for dot, used by doxygen.
  * debian/rules: use execute_after_dh_auto* to process docs and bin
    executable installation

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2024 12:51:53 +0100

avogadrolibs (1.99.0-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches header_coreexport.patch
      and tests_include_eigen.patch
    - add fragments data as git subtree in debian/data/fragments from
      https://github.com/openchemistry/fragments
      (see avogadro/qtplugins/templatetool/CMakeLists.txt)
  * update debian/data git subtrees molecules and crystals
    - mark png files in debian/source/include-binaries
  * update debian patch qtplugins_insertfragment.patch to include
    fragments after adding set_fragments_PR1612.patch to apply
    upstream PR#1612 for fragments data dir.
  * update Build-Depends: pkg-config to pkgconf

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2024 04:14:11 +0100

avogadrolibs (1.98.1-2) unstable; urgency=medium

  * v1.98 dropped docs/conf.py. Closes: #1043909.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 01:36:07 +0100

avogadrolibs (1.98.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_mouse_scroll_PR1065.patch
    - overhauls molequeue support (drop molequeue_system.patch)
  * drop debian patch manage_vtk.patch
  * add debian patches needed to run tests standalone for CI testing
    existing installation, see upstream Issue #1430.
    - tests_include_eigen.patch reinstates adding EIGEN3_INCLUDE_DIR
      when configuring tests (removed in upstream PR#1267). Use
      Eigen3::Eigen not Eigen3::Eigen3. See upstream Issue#1475.
    - header_coreexport.patch fixes include reference path to
      avogadrocoreexport.h. See upstream Issue #1476.
    - tests_find_avogadrolibs.patch ensures AvogadroLibs and Qt cmake
      configuration is loaded when configuring tests.
    - tests_skip_spacegroup_HallNumber0.patch skips SpaceGroup tests
      fillUnitCell and reduceToAsymmetricUnit which fail with Hall
      number 0. See upstream Issue #1477.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 00:05:22 +0100

avogadrolibs (1.97.0-4) unstable; urgency=low

  * Team upload.
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.
  * Remove field Section on binary package avogadro-utils that duplicates
    source.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Nov 2023 13:09:06 +0000
